package model

// ManageMaterialWork 维修器材工单明细
type ManageMaterialWork struct {
	Model
	WorkID             uint64 `gorm:"column:work_id;type:int(11);default:0;comment:工单ID" json:"work_id"`
	MaterialPurchaseID uint64 `gorm:"column:material_purchase_id;type:int(11);default:0;comment:器材采购ID" json:"material_purchase_id"`
	Number             int    `json:"number"`
	ModelDeleted
	ModelAt
}

func (m *ManageMaterialWork) TableName() string {
	return "manage_material_work"
}

func NewManageMaterialWork() *ManageMaterialWork {
	return &ManageMaterialWork{}
}
